	function printHelp(d, vars){
		if(d.length < 1) { return; }
		var dd 			= document.getElementById(d);
		var argv 		= printHelp.arguments;
		var layerend 	= '</td></tr></tbody></table>';
		var layerstart 	= '<table cellspacing="0" cellpadding="0" class="max">';
		var layer_vars	= '';
		var desc		= '';

		layerstart += '<thead><tr class="header"><td colspan="2">Variables</td></tr></thead><tbody id="helpTableContent">';

		var argc = argv.length;
		for (var i = 1; i < argc; i++) {
			desc = helper.helptexts[argv[i]] ? helper.helptexts[argv[i]] : '-- description missing --';
			layer_vars += '<tr><td>' + argv[i] + '</td><td>' + desc + '</td></tr>';
		}

		dd.innerHTML = layerstart + layer_vars + layerend;
		alternate('helpTableContent');
		dd.style.display = "block";
	}

	/**
	*	Loop through table and alternate row color
	*/
	function alternate(id){
		if(document.getElementsByTagName){
			var table = document.getElementById(id);
			var rows = table.getElementsByTagName("tr");
			for(i = 0; i < rows.length; i++){
				//manipulate rows
				if(i % 2 == 0){
					rows[i].className = "even";
				}else{
					rows[i].className = "odd";
				}
			}
		}
	}

	/**
	*	Toggle the display of help table...
	*/
	function toggleVarHelp(d){

		if(d.length < 1) { return; }
		var dd 	= document.getElementById(d);
		var lnk	= document.getElementById('toggle');
		if(dd.style.display == "none") {
			dd.style.display 	= "block";
			lnk.innerHTML		= "Hide variables";
		} else {
			dd.style.display 	= "none";
			document.getElementById('helpContent').style.display = 'none';;
			lnk.innerHTML 		= "Show variables";
		}
	}

	function showHelpEditForm() {
		if (http.readyState == 4) {
			var helpEditInfo = document.getElementById('helpEditLayer');
			helpEditInfo.style.display 	= "block";
			if(http.status==200) {
				var results=http.responseText;
				helpEditInfo.innerHTML = results;
				AssignPosition(helpEditInfo);
			} else helpEditInfo.innerHTML = "Unable to process request...(received HTTP status code " + http.status + ")";
		}
	}

	function saveHelptext(d, varname, textValue, page)
	{
		alert("varname=" + varname + ", textValue=" + textValue + ", page=" +  page);
	}

	function getHTTPObject() {
		var xmlhttp;

		if(window.XMLHttpRequest){
			xmlhttp = new XMLHttpRequest();
		} else
			if (window.ActiveXObject){
			    xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
			if (!xmlhttp){
				xmlhttp=new ActiveXObject("Msxml2.XMLHTTP");
			}
		}
		return xmlhttp;
	}
	if (!http){
		var http = getHTTPObject(); // We create the HTTP Object
	}

	var _help_field_updated = false;
	function saveHelpText(f)
	{
		var url 	= 'edit_help.php?';
		var param 	= 'var='+f.variable.value+'&identifier='+f.identifier.value+'&page='+f.page.value+'&lang_id='+f.lang_id.value+'&help_text='+escape(f.help_text.value)+'&doSave=true&page_object=' + f.page_object.value;
		_help_field_updated = f.variable.value;
		http.open("GET", url + param, true);
		http.onreadystatechange = updateHelpPage;
		http.send(null);
	}

	function updateHelpPage()
	{
		if (http.readyState == 4) {
			var helpEditField = document.getElementById(_help_field_updated);
			var helpEditInfo = document.getElementById('helpEditLayer');
			if(http.status==200) {
				var results=http.responseText;
				helpEditField.innerHTML = results;
				HideContent('helpEditLayer');
			} else helpEditInfo.innerHTML = "Unable to process request...(received HTTP status code " + http.status + ")";
		}

	}
