<?php

require_once('base_widget.php');

/**
 * Widget for rendering a string input, that is, regular text input
 */
class string_widget extends base_widget {
	/**
	 * Print text input box
	 *
	 * The optional argument class can be used to override the default class
	 * name.
	 */
	function render($obj, $token, $value, $class=false) {
		if ($class === false) {
			if ($token === 'command_line')
				$class = 'xhuge';
			else
				$class = 'xlarge';
		}
		$value = str_replace('"', '&quot;', $value);

		echo "<input type=\"text\" name='$obj->type[$obj->id][$token]' value=\"$value\" class=\"$class\" />\n";

		if ( $obj->type==='command' && $token==='command_name' && (int)$obj->id!=0){
			echo "<input type=\"button\" class=\"button syntax-help20\" id=\"syntax_button\" value=\"Syntax help\" title=\"Show syntax help for selected command\" onclick=\"toggle_command_info(this.form, 'command', '".$obj->id."', true, false);\">";
			echo "<div id=\"commandInfo\"></div>";
		}
		if(isset($obj->clone_id) && $obj->type==='command' && $token==='command_name' ) {
			echo "<input type=\"button\" class=\"button syntax-help20\" id=\"syntax_button\" value=\"Syntax help\" title=\"Show syntax help for selected command\" onclick=\"toggle_command_info(this.form, 'command', '".$obj->clone_id."',true, '".$obj->clone_name."');\">";
			echo "<div id=\"commandInfo\"></div>";
		}
	}
}
